Closed Bug 203555 Opened 17 years ago Closed 12 years ago

compose new message either by "Compose" or "Reply" results in: An error occurred while creating message window. Please try again.

Categories

(Thunderbird :: Message Compose Window, defect, major)

defect
Not set
major

Tracking

(Not tracked)

RESOLVED INCOMPLETE

People

(Reporter: pola, Assigned: mscott)

Details

(Whiteboard: see comment 13)

Attachments

(1 file)

User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4a) Gecko/20030401
Build Identifier: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4a) Gecko/20030401

If I am reading a message and I try to compose new message either by "Compose"
or "Reply" the error message window is displayed with the text:

"An error occured while creating message window. Please try again." ...and
button OK - Pressing of OK only cancels the operation, no "try again" has other
result as the same error message as described above.

Reproducible: Always

Steps to Reproduce:
1.Open Mail & Newsgroups Window
2. Pres button "Compose"
3.

Actual Results:  
error message window is displayed with the text:

"An error occured while creating message window. Please try again."


Linux - Mandrake/ v. 9.1. , KDE 3.1 desktop.
I don't think Bugzilla is capable of crashing when you compose a message in
Mozilla's MailNews.

-> MailNews
Assignee: myk → ducarroz
Component: User Interface → Composition
Product: Bugzilla → MailNews
QA Contact: matty → esther
Version: unspecified → Trunk
reporter: this is not a crash. you might find useful information about this
failure in the javascript console
Summary: crash if I try to compose new message either by "Compose" or "Reply" → compose new message either by "Compose" or "Reply" results in: An error occured while creating message window.
Seeing something similar in 2003051008/Windows98SE: I get *no* window at all
when clicking "New mail" or trying to reply or forward. No messages in the JS
console.

Can somebody set platform to all and confirm this bug? thx
Maybe me was an original creator of this bug. 
Sorry, this bug has origin in the way how I installed new version of Mozilla
under my Linux. I fix it by removing the local directory ".mozilla" in my home
directory and restarting Mozilla again. Now it works OK.

Ivan Polak
Maybe me was an original creator of this bug. 
Sorry, this bug has origin in the way how I installed new version of Mozilla
under my Linux. I fix it by removing the local directory ".mozilla" in my home
directory and restarting Mozilla again. Now it works OK.

Ivan Polak
Using Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.4b) Gecko/20030512
and having the same problem as Commenter #3.
confirmed in 1.4b     running on windows XP (build ID 2003050714 as reported in title bar). This is after doing a default install of 1.4b over an early April build (sorry, forget which day it was).
confirmed with 1.4b (2003050714) under SuSE Linux 8.1
didn't overwrite anything, new install
Mozilla/5.0 (Macintosh; U; PPC Mac OS X Mach-O; en-US; rv:1.4a) Gecko/20030401

Confirmed that this occurs in both Mac OS X 1.4a AND 1.4 rc2.  If I go back to
any 1.3 build it works fine, but using either of these 1.4 builds does not work.
 (As above, 'compose' or 'reply' displays a dialog "An error occurred while
creating a message compose window.  Please try again." with an OK button. 
Sometimes I could not get focus on the dialog without first clicking on a
browser window. 
Me too.
this occur after upgrade from 1.3.1 to 1.4rc3 ..

I do believe this is due to a corrupted profile.. As i have lost some other
perference setting and saved imap password too. But i have not tried to create a
new profile yet, i would try that later.
Me too, Mozilla 1.4 - I effectively cannot send or reply to email anymore. In
the Javascript console, I am getting the following error logged when trying to
reply to an email:

Error: redeclaration of const MOZ_HELP_URI
Source File: chrome://help/content/contextHelp.js
Line: 1
I changed the const declaration of MOZ_HELP_URI to var and tested it again;
other, similar const-redeclaration errors appeared which I "repaired" the same
way, until the error occurred, but without any JavaScript error being logged,
thus the JavaScript error does not seem to be the main issue.

I reverted all my changes and tested the issue with a new profile; here,
composing a mail works.
The issue is related to a misconfiguration in the prefs.js. After using the
JavaScript Debugger on Mozilla (a fine piece of software, btw), I found a
working solution - look through your prefs.js and locate lines like

user_pref("mail.account.account<XX>.server", "server<YY>");

and make sure that for each server<YY>, a set of corresponding configuration
lines like

user_pref("mail.server.server<YY>.name", "...");

does exist. In my case, I had a "mail.account.account5.server" entry which
referred to "server5" which did not exist in the prefs. I cannot remember having
set up this account in any way manually, but I have been using the same profile
over many Mozilla generations, so this might be an explanation. After removing
the erronous "mail.account.account<XX>.server" entry, I was able to respond to
my incoming mail again :-)
Mozilla/5.0 (Macintosh; U; PPC Mac OS X Mach-O; en-US; rv:1.4) Gecko/20030624
Mac OS X 10.2.6 Darwin 6.6

Can't reply to messages or compose new messages:

   "An error occurred while creating a message compose window.
    Please try again."

Sometimes the alert's "close" button doesn't respond.  (Won't take the focus?)

I tried editing "prefs.js" as suggested in Comment #13, but to no avail.  I quit
Mozilla and "removed the erronous 'mail.account.account<XX>.server' entries",
but they keep coming back.

All of the directory names in the prefs.js look corrupted -- for example:
user_pref("mail.server.server1.directory",
"AAAAAAH8AAIAAQxNYWNpbnRvc2ggSEQAAAAAAAAAAA ... oay5lZHUuaGsAABMAAS8A//8AAA==");

Is that some kind of encoding?

I tried downloading the latest build, as of 2003/08/26 11:06 UTC, but got a file
full of NULLs.  Twice.  Maybe there's a bug in 1.4's download manager?  I guess
I'll have to revert to 1.3 (assuming 1.4 hasn't messed up my preferences file).
Product: MailNews → Core
Thunderbird version 1.0+ (20050504)

confirming and product-> Thunderbird

I can reproduce 100% with "edit message as new".  Happens with reply and compose
new, but not only 10-20% of cases. Edit new produces these messages on
javascript console...

Error: redeclaration of const kMailToLength
Source File: chrome://communicator/content/nsContextMenu.js
Line: 13

Error: redeclaration of const imgICache
Source File: chrome://communicator/content/contentAreaUtils.js
Line: 230

Perhaps a coincidence, but I am experiencing at the same time the symptoms of
Bug 246909. Prior to nightly build of May 1 I never experienced either of these
problems. 

This may have been precipitated by my adding a second account for a server and
then I set the default account back to the first account.  

Perhaps the problem is with account manager as comment 13 implies. I'm ruluctant
to try the workaround because my accounts may be correct.  

Don't rule out this this a a dup or the results of a regression, but it's not
obvious. Also, bug 202613 may well be a dup.
Status: UNCONFIRMED → NEW
Component: MailNews: Composition → Message Compose Window
Ever confirmed: true
OS: Linux → All
Product: Core → Thunderbird
Hardware: PC → All
Assignee: ducarroz → mscott
Attached file prefs.js excerpt
Note account2 and account9 in prefs.js do not have matching ...identities",
"idN"

As noted before I can reproduce this 100% of time, for now.
If I have to reboot or restart TB I may not be able to recreate.
The console entries I cited in comment 15 aren't appearing with "edit as new",
but the follwing javascript console spits every time

Error: [Exception... "'Permission denied to get property Text.data' when calling
method: [nsIMsgHeaderSink::onEndMsgDownload]"  nsresult: "0x8057001e
(NS_ERROR_XPC_JS_THREW_STRING)"  location: "<unknown>"  data: no]

I also got this much earlier in the day, but I don't know what event to
attribute it to 
Error: [Exception... "Component returned failure code: 0x8000ffff
(NS_ERROR_UNEXPECTED) [nsIRDFService.GetDataSourceBlocking]"  nsresult:
"0x8000ffff (NS_ERROR_UNEXPECTED)"  location: "JS frame ::
chrome://messenger-newsblog/content/utils.js :: getItemsDS :: line 222"  data: no]
Source File: chrome://messenger-newsblog/content/utils.js
Line: 222
Was working fine until I installed some updated that the automatic update 
notified informed me about. The install log follows:

-------------------------------------------------------------------------------
file:///C:/Download/signature_switch-0.4-tb.xpi  --  2005-05-23 14:52:41
-------------------------------------------------------------------------------


     Install completed successfully  --  2005-05-23 14:52:41

-------------------------------------------------------------------------------
file:///C:/Download/signature-0.3.1-fx+tb.xpi  --  2005-05-23 14:53:22
-------------------------------------------------------------------------------


     Install completed successfully  --  2005-05-23 14:53:22

-------------------------------------------------------------------------------
file:///C:/Download/dictionarysearch-0.9.2-fx+tb.xpi  --  2005-05-23 14:55:11
-------------------------------------------------------------------------------


     Install completed successfully  --  2005-05-23 14:55:11

-------------------------------------------------------------------------------
file:///C:/Download/launchy-3.9.0-fx+mz+tb.xpi  --  2005-05-23 14:57:43
-------------------------------------------------------------------------------


     Install completed successfully  --  2005-05-23 14:57:44

-------------------------------------------------------------------------------
file:///C:/Download/sender_verification_extension-0.6.0.20050429-tb.xpi  --  
2005-05-23 15:04:19
-------------------------------------------------------------------------------


     Install completed successfully  --  2005-05-23 15:04:20

-------------------------------------------------------------------------------
file:///C:/Download/stockticker-0.5.2-fx+tb.xpi  --  2005-05-23 15:05:00
-------------------------------------------------------------------------------


     Install completed successfully  --  2005-05-23 15:05:00

-------------------------------------------------------------------------------
file:///C:/Download/signature_switch-0.4-tb.xpi  --  2005-05-23 15:13:00
-------------------------------------------------------------------------------


     Install completed successfully  --  2005-05-23 15:13:01

-------------------------------------------------------------------------------
file:///C:/Download/signature-0.3.1-fx+tb.xpi  --  2005-05-23 15:13:19
-------------------------------------------------------------------------------


     Install completed successfully  --  2005-05-23 15:13:19

-------------------------------------------------------------------------------
file:///C:/Download/stockticker-0.5.2-fx+tb.xpi  --  2005-05-23 15:14:03
-------------------------------------------------------------------------------


     Install completed successfully  --  2005-05-23 15:14:03

-------------------------------------------------------------------------------
file:///C:/Download/dictionarysearch-0.9.2-fx+tb.xpi  --  2005-05-23 15:14:11
-------------------------------------------------------------------------------


     Install completed successfully  --  2005-05-23 15:14:11

-------------------------------------------------------------------------------
file:///C:/Download/dictionarysearch-0.9.2-fx+tb.xpi  --  2005-05-23 15:14:34
-------------------------------------------------------------------------------


     Install completed successfully  --  2005-05-23 15:14:35

-------------------------------------------------------------------------------
file:///C:/Download/sender_verification_extension-0.6.0.20050429-tb.xpi  --  
2005-05-23 15:14:43
-------------------------------------------------------------------------------


     Install completed successfully  --  2005-05-23 15:14:43

-------------------------------------------------------------------------------
http://downloads.mozdev.org/launchy/launchy-400.xpi  --  2005-06-22 15:47:24
-------------------------------------------------------------------------------


     Install completed successfully  --  2005-06-22 15:47:24

-------------------------------------------------------------------------------
http://ftp.mozilla.org/pub/mozilla.org/extensions/signature_switch/signature_sw
itch-0.7-tb.xpi  --  2005-06-22 15:47:24
-------------------------------------------------------------------------------


     Install completed successfully  --  2005-06-22 15:47:24

-------------------------------------------------------------------------------
http://ftp.mozilla.org/pub/mozilla.org/extensions/sender_verification_extension
/sender_verification_extension-0.7.1.20050607-tb.xpi  --  2005-06-22 15:47:24
-------------------------------------------------------------------------------


     Install completed successfully  --  2005-06-22 15:47:25
Happening today with Thunderbird version 3.0a1 (20070416)

This is critical.
Confirmed Graham and recreated with version 3.0a1 (20070416); Was functioning correctly until push of this version yesterday.
(In reply to comment #20)
> Confirmed Graham and recreated with version 3.0a1 (20070416); Was functioning
> correctly until push of this version yesterday.
> 

Problem was not resolved with buld 20070417 push.

STILL NOT FIXED!!! I'm using the latest nightly build version 3.0a1 (20070418) on Windows XP. There is currently no way to compose, reply, or forward because of this.
Problem resolved as of version 3.0a1 (20070419) :)
QA Contact: esther → message-compose
everyone who commented prior to 2007, is the the problem gone for you?


Aris, Graham, Eric, your problem using trunk was most likely Bug 377662.  NOTE: _Regressions_ on trunk are not normally related to old, open bugs.

ref: bug 162640 comment 84 ~= comment 13
corrected spelling mistake and updated summary

Summary: compose new message either by "Compose" or "Reply" results in: An error occured while creating message window. → compose new message either by "Compose" or "Reply" results in: An error occurred while creating message window. Please try again.
Whiteboard: see comment 13
=> incomplete - no one prior to 2007 responds
Status: NEW → RESOLVED
Closed: 12 years ago
Resolution: --- → INCOMPLETE
You need to log in before you can comment on or make changes to this bug.